## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate ttf-parser

Name:           rust-%{crate}0.12
Version:        0.12.3
Release:        %autorelease
Summary:        High-level, safe, zero-allocation TrueType font parser

# Upstream license specification: MIT OR Apache-2.0
License:        MIT or ASL 2.0
URL:            https://crates.io/crates/ttf-parser
Source:         %{crates_source}
# Initial patched metadata
# * bump base64 dev-dependency from 0.12 to 0.13
# * bump svgtypes dev-dependency from 0.5 to 0.8
# * remove unused pico-args dev-dependency
Patch0:         ttf-parser-fix-metadata.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
High-level, safe, zero-allocation TrueType font parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/
%exclude %{crate_instdir}/meson.build
%exclude %{crate_instdir}/examples/wasm/
%exclude %{crate_instdir}/testing-tools/
%exclude %{crate_instdir}/tests/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+variable-fonts-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+variable-fonts-devel %{_description}

This package contains library source intended for building other packages which
use the "variable-fonts" feature of the "%{crate}" crate.

%files       -n %{name}+variable-fonts-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# only unit tests are included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif

%changelog
* Thu Mar 10 2022 Fabio Valentini <decathorpe@gmail.com> 0.12.3-1
- Initial import (ttf-parser 0.12 compat package)
